mchar_get_prop_table(3m17n)

NAME
mchar_get_prop_table - Get the char-table for a character property.

SYNOPSIS
MCharTable* mchar_get_prop_table (MSymbol key, MSymbol * type)

DESCRIPTION
Get the char-table for a character property.

The mchar_get_prop_table() function returns a char-table that contains the character property whose key is key. If type is not NULL, this function stores the type of the property in the place pointed by type. See mchar_define_property() for types of character property.

RETURN VALUE

    If key is a valid character property key, this function returns a char-table. Otherwise NULL is retuned.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.